Bug 439374 - oxygen missing icons
oxygen missing icons
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase-runtime (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2008-03-28 07:44 EDT by Rex Dieter
Modified: 2008-06-24 08:30 EDT (History)
6 users (show)

See Also:
Fixed In Version: 4.0.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-24 08:30:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Kevin Kofler 2008-04-12 01:49:54 EDT
Some of those should be resolved already: the crystalsvg stuff is now pulled in 
by the Fedora-KDE icon theme, system-software-installer might be fixed too with 
PackageKit (needs checking).
Comment 2 Orion Poplawski 2008-04-15 11:06:49 EDT
Also not mentioned on wiki, khelpcenter is missing an icon.
Comment 3 Rex Dieter 2008-04-15 11:13:52 EDT
Re: comment #2
khelpcenter *does* have an icon, it's just not being found/used for some reason.
Comment 4 Rex Dieter 2008-04-15 11:16:10 EDT
OK, I take that back *oxygen* doesn't have it, but crystalsvg (and Tango, as
well as a few others) does, and when I configure our home-brewed Fedora-KDE to
include
Inherits=oxygen,crystalsvg,Tango
Khelpcenter in kickoff still shows "?".  wtf?  

(I even purged my kde-icon-cache to be sure)
Comment 5 Ngo Than 2008-04-17 10:31:43 EDT
it's a bug in kdebase-runtime, Khelpcenter in kickoff shows now correct icon 
with kdebase-rumtime-4.0.3-8, the new package is still building
Comment 6 Rex Dieter 2008-04-17 12:12:13 EDT
tested, mmm, mmm, good.
Comment 7 Rex Dieter 2008-04-17 12:12:53 EDT
oops... reopening for the original report (khelpcenter should be better now tho).
Comment 8 Rex Dieter 2008-04-18 14:02:35 EDT
OK, the worst is past, changing -> F9Target
Comment 9 Bug Zapper 2008-05-14 04:21:59 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Steve Tyler 2008-05-19 15:44:36 EDT
With Oxygen icon theme and GNOME, running gedit from a terminal window gives:
(gedit:2902): Gtk-WARNING **: Theme directory scalable/animations/small/16x16 of
theme oxygen has no size field
(gedit:2902): Gtk-WARNING **: Theme directory scalable/animations/small/22x22 of
theme oxygen has no size field

gedit-2.22.0-1.fc9.i386
oxygen-icon-theme-4.0.3-10.fc9.noarch
kdebase-runtime-4.0.3-10.fc9.i386
Comment 11 Steven M. Parrish 2008-06-23 16:15:48 EDT
Is this still an issue with KDE 4.0.5?
Comment 12 Steve Tyler 2008-06-23 17:30:53 EDT
(In reply to comment #11)
> Is this still an issue with KDE 4.0.5?

Yes. BTW, gedit runs fine despite these messages.

$ gedit
(gedit:5423): Gtk-WARNING **: Theme directory scalable/animations/small/16x16 of
theme oxygen has no size field
(gedit:5423): Gtk-WARNING **: Theme directory scalable/animations/small/22x22 of
theme oxygen has no size field

$ rpm -q oxygen-icon-theme gedit kdebase-runtime gtk2 glib2
oxygen-icon-theme-4.0.5-2.fc9.noarch
gedit-2.22.3-1.fc9.i386
kdebase-runtime-4.0.5-2.fc9.i386
gtk2-2.13.3-2.fc10.i386
glib2-2.17.2-2.fc10.i386

$ which gedit
/usr/bin/gedit

$ echo $DESKTOP_SESSION
xfce4

(Happens with Gnome desktop too.)

Comment 13 Steve Tyler 2008-06-23 18:05:58 EDT
(In reply to comment #12)
> (In reply to comment #11)
> > Is this still an issue with KDE 4.0.5?
...
> $ echo $DESKTOP_SESSION
> xfce4
> 
> (Happens with Gnome desktop too.)

Uh oh, it doesn't seem to happen with KDE. (confirmed on two different systems)

$ echo $DESKTOP_SESSION
kde

Is there a command line that will report the current desktop icon theme?

Comment 14 Steve Tyler 2008-06-23 18:31:05 EDT
(In reply to comment #13)

> $ echo $DESKTOP_SESSION
> kde
> 
> Is there a command line that will report the current desktop icon theme?

$ fgrep Theme .kde/share/config/kdeglobals
Theme=oxygen
Comment 15 Ngo Than 2008-06-24 08:30:19 EDT
i don't see the problem with latest kde-4.0.5 in F9 update. Feel free to reopen
again if the issue still shows up

Note You need to log in before you can comment on or make changes to this bug.